Update Deal By Locator
Custom fields can be written as additional top-level properties using each custom field key. Values are validated against the field definitions returned by List Custom Fields.
Authorization
bearerAuth In: header
Query Parameters
Unique identifier for the resource.
uuidIdentifier assigned by an external system.
1 <= lengthDynamic detail fields to include. Use repeated query syntax: include_details=foo&include_details=bar.
items <= 10Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Human-readable name of the resource.
Identifier assigned by an external system.
Status Key value for this resource.
1 <= lengthType Key value for this resource.
1 <= lengthUnique identifier of the related assignee.
Unique identifier of the related contact.
uuidValue value for this resource.
Currency value for this resource.
Timestamp for won at.
Timestamp for lost at.
Response Body
application/json
curl -X PATCH "https://api.getmateo.com/v1/deals/by" \ -H "Content-Type: application/json" \ -d '{ "property1": null, "property2": null }'{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "external_id": "string", "name": "string", "contact_id": "f245e2a3-e141-4d41-912c-b1c1f5bd5598", "assignee_id": "e209ca2d-190b-4818-b659-67d4ef4f1ce8", "type_key": "string", "status_key": "string", "value": 0, "currency": "CHF", "won_at": "2019-08-24T14:15:22Z", "lost_at": "2019-08-24T14:15:22Z", "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z", "property1": null, "property2": null}